Subject: bug#70301: 30.0.50; secrets-create-item mangles cyrillic passwords

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Apr 2024 18:44:35 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 10 Apr 2024 17:32:43 +0200
> 
> > Does the patch below give good results?
> 
> Thanks for the patch. However, I believe we shouldn't fix it in
> secrets.el, but in dbus.el.

Then we ought to update the doc string of dbus-string-to-byte-array,
which currently says the argument should be a UTF-8 encoded string.

> > Michael, I think we have a similar problem in
> > dbus-byte-array-to-string: when MULTIBYTE is non-nil, the function
> > should call decode-coding-string on the unibyte string it produces
> > instead of converting each byte to multibyte.  Because the bytes in
> > the argument BYTE-ARRAY are not characters, they are raw bytes of the
> > UTF-8 sequence, so calling 'string' on them is not TRT.
> 
> Yes. The following patch works for me. WDYT?

If you are okay with changing the behavior of
dbus-byte-array-to-string in backward-incompatible ways, I don't mind.
But maybe this should be called out in NEWS.